<?xml version="1.0" encoding="UTF-8"?>
<project name="hsarweb" default="jar">

	<property name="build.home" value="${basedir}/build" />
	<property name="lib.home" value="${basedir}/lib" />
	<property name="conf.home" value="${basedir}/conf" />
	<property name="src.home" value="${basedir}/src" />
	<property name="test.home" value="${basedir}/test" />
	<property name="dist.home" value="${basedir}/dist" />

	<property file="${user.home}/.hsar.ant.properties" />
	
	<!-- Optionen  für Java-Compiler-->
	<property name="compile.debug" value="true" />
	<property name="compile.deprecation" value="true" />
	<property name="compile.optimize" value="true" />

	<target name="clean" description="aufräumen">
		<delete dir="${build.home}" />
		<delete dir="${dist.home}" />
	</target>

	<target name="jar" depends="compile">
        <jar destfile="build/hsadmin.jar" basedir="build/cls">
        	<manifest>
        		<attribute name="Main-Class" value="de.hsadmin.cli.HSadmin"/>
        	</manifest>
        </jar>
    </target>

	<target name="compile" description="compilieren">
		<mkdir dir="${build.home}" />
		<mkdir dir="${build.home}/cls" />
		<javac srcdir="${src.home}" destdir="${build.home}/cls" debug="${compile.debug}" deprecation="${compile.deprecation}" optimize="${compile.optimize}" encoding="UTF8" includeantruntime="false" />
	</target>

</project>
